%define sname acpica-unix

Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>
Name:		iasl
Summary:        Intel ASL compiler/decompiler
Version:        20061109
Release:        1
License: 	Distributable
Group: 		Development/Other
URL: 		http://www.intel.com/technology/iapc/acpi/downloads.htm
Source: 	http://www.intel.com/technology/iapc/acpi/downloads/%sname-%{version}.tar.gz
BuildRoot:      /var/tmp/%{name}-%{version}-buildroot
BuildRequires: 	flex
BuildRequires:	glibc-devel

%description

iasl compiles ASL (ACPI Source Language) into AML (ACPI Machine
Language). This AML is suitable for inclusion as a DSDT in system
firmware. It also can disassemble AML, for debugging purposes.

%prep
%setup -q -n %sname-%version
# convert all UpperCased directories to LowerCase (fix for tarball from Intel)
#for i in `find * -type d|sort -r`;do newi=`echo $i|sed 's,/\?[a-z]*$,\L\0,i'`; [ "$i" = "$newi" ] || mv $i $newi;done


%build
pushd compiler
make
popd
#additional tools
pushd tools/acpisrc
make
popd
pushd tools/acpixtract
make
popd
pushd tools/acpiexec
#make
popd

%install
mkdir -p %{buildroot}%{_bindir}
install -m0755 compiler/iasl %{buildroot}%{_bindir}/
#install -m0755 tools/acpiexec %{buildroot}%{_bindir}/
install -m0755 tools/acpisrc/acpisrc %{buildroot}%{_bindir}/
install -m0755 tools/acpixtract/acpixtract %{buildroot}%{_bindir}/

%files
%doc README
%_bindir/iasl
%_bindir/acpisrc
%_bindir/acpixtract

%changelog
* Fri Feb 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 20061109-1
- initial release
